Subject: Re: [PATCH v2] remote-curl: Use auth for probe_rpc() requests too

From: Aaron Plattner <[email-masked]>
Date: Wed, 14 Jan 2026 08:33:43 -0800

On 1/14/26 6:11 AM, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
>> test_seq can take a format parameter these days, so just:
>>
>>    test_seq -f "create refs/heads/branch-%d @" |
>>    git update-ref --stdin
>>
>> is enough, and saves some processes.
> 
> Ahh, I forgot about that one.  Good suggestion.
> 
> Thanks.

Ooh, neat. I guess I copied the wrong example. I verified that this 
works too, so I can send a v5 for that.

Is it worth changing up the other cases of this pattern, mostly in 
pack-refs-tests.sh? E.g.,

	# Create 15 loose references.
	printf "create refs/heads/loose-%d HEAD\n" $(test_seq 15) >stdin &&
	git update-ref --stdin <stdin &&

[...]

	# Create 99 packed refs. This should cause the heuristic
	# to require more than the minimum amount of loose refs.
	test_seq 99 |
	while read i
	do
		printf "create refs/heads/packed-%d HEAD\n" $i || return 1
	done >stdin &&
	git update-ref --stdin <stdin &&

I can put together a patch for those.

-- Aaron